Bug 1011126 - /etc/ld.so.conf.d/* should not be marked with %config in libiscsi.spec
/etc/ld.so.conf.d/* should not be marked with %config in libiscsi.spec
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libiscsi (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Miroslav Rezanina
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 12:18 EDT by Paolo Bonzini
Modified: 2014-06-18 00:49 EDT (History)
5 users (show)

See Also:
Fixed In Version: libiscsi-1.9.0-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:07:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paolo Bonzini 2013-09-23 12:18:12 EDT
From rpmdiff "Brewtap results":

Certain files are expected to have corresponding man pages; as of 2012-11-28 the rule is that: (a) any executable regular file foo in /bin /sbin /usr/sbin or /etc/init.d; or (b) any file marked as %config in the specfile; should have a corresponding man page in /usr/share/man.

Hint: if you see this warning on a file in /etc, reassess whether you should be marking the file as %config: if it's not meant to be touched by a sysadmin, it probably shouldn't be %config.
 	No man page for /etc/ld.so.conf.d/libiscsi-i386.conf
 	No man page for /etc/ld.so.conf.d/libiscsi-x86_64.conf
 	etc.
Comment 2 Miroslav Rezanina 2013-11-07 09:21:59 EST
Committed in libiscsi-1.9.0-3.el7
Comment 4 mazhang 2014-02-27 01:49:31 EST
Hi Paolo,

I have no idea about reproduce/verify this bug , could you help update some suggestions here.

Thanks,
Mazhang.
Comment 5 Paolo Bonzini 2014-02-28 06:41:29 EST
https://rpmdiff.lab.eng.brq.redhat.com/run/47008/99/ is the latest rpmdiff run I found, you can see that the bug is not there.
Comment 6 mazhang 2014-03-03 00:57:16 EST
(In reply to Paolo Bonzini from comment #5)
> https://rpmdiff.lab.eng.brq.redhat.com/run/47008/99/ is the latest rpmdiff
> run I found, you can see that the bug is not there.

1. Seems the link you pasted is qemu-kvm rpmdiff. 
2. This bug fixed in libiscsi-1.9.0-3.el7, so I run a group of rpmdiff tests for libiscsi-1.9.0-6.el7 compared to libiscsi-1.9.0-2.el7, analysis of libiscsi-1.9.0-6.el7 and analysis of libiscsi-1.9.0-3.el7.
Result:
https://rpmdiff.lab.eng.brq.redhat.com/run/47009/
https://rpmdiff.lab.eng.brq.redhat.com/run/47010/
https://rpmdiff.lab.eng.brq.redhat.com/run/47011/

All result is "Needs inspection", and seems they are no Brewtap results.
Comment 7 Paolo Bonzini 2014-03-03 08:52:45 EST
"Light green" means passed.  You can add "99/" to the URL manually, BrewTap now passes.

Also,

https://rpmdiff.lab.eng.brq.redhat.com/run/47009/21/

shows that the bug has been fixed.
Comment 8 mazhang 2014-03-03 20:49:18 EST
Run a group of rpmdiff tests for libiscsi-1.9.0-6.el7 compared to libiscsi-1.9.0-2.el7, analysis of libiscsi-1.9.0-6.el7 and analysis of libiscsi-1.9.0-3.el7.

Result:
https://rpmdiff.lab.eng.brq.redhat.com/run/47009/99
https://rpmdiff.lab.eng.brq.redhat.com/run/47010/99
https://rpmdiff.lab.eng.brq.redhat.com/run/47011/99

Brewtap results passed, so this bug has been fixed.
Comment 10 Ludek Smid 2014-06-13 06:07:51 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.